domain: github.com
cases:
  - id: pr-title
    # Note: /issues/25 on this repo redirects to /pull/25 — agent should follow through.
    task: "Return the exact title of https://github.com/facebook/react/issues/25"
    url: "https://github.com/facebook/react/issues/25"
    success_check:
      type: agent_answer_contains
      substring: "Added responsive styles"
    timeout_sec: 60

  - id: file-finder-shortcut
    task: "Open https://github.com/facebook/react, open the file finder (press 't'), and return the path of the first match for 'Reconciler'."
    url: "https://github.com/facebook/react"
    success_check:
      type: agent_answer_contains
      substring: "Reconciler"
    timeout_sec: 90
